/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/core/Control','./library'],function(q,C,l){"use strict";var a=C.extend("sap.ui.unified.CalendarLegend",{metadata:{library:"sap.ui.unified",properties:{columnWidth:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:'120px'}},aggregations:{items:{type:"sap.ui.unified.CalendarLegendItem",multiple:true,singularName:"item"},standardItems:{type:"sap.ui.unified.CalendarLegendItem",multiple:true,visibility:"hidden"}}}});a.prototype.init=function(){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.unified");var i=this.getId();var I=new sap.ui.unified.CalendarLegendItem(i+"-Today",{text:r.getText("LEGEND_TODAY")});this.addAggregation("standardItems",I);I=new sap.ui.unified.CalendarLegendItem(i+"-Selected",{text:r.getText("LEGEND_SELECTED")});this.addAggregation("standardItems",I);I=new sap.ui.unified.CalendarLegendItem(i+"-NormalDay",{text:r.getText("LEGEND_NORMAL_DAY")});this.addAggregation("standardItems",I);I=new sap.ui.unified.CalendarLegendItem(i+"-NonWorkingDay",{text:r.getText("LEGEND_NON_WORKING_DAY")});this.addAggregation("standardItems",I);};a.prototype.onAfterRendering=function(){if(sap.ui.Device.browser.msie){if(sap.ui.Device.browser.version<10){q(".sapUiUnifiedLegendItem").css("width",this.getColumnWidth()+4+"px").css("display","inline-block");}}};return a;},true);
